| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::saliency::Saliency Class Referenceabstract
Saliency API

`#include "saliencyBaseClasses.hpp"`

Inheritance diagram for cv::saliency::Saliency:

## Public Member Functions
virtual | ~Saliency ()
| Destructor. More...
bool | computeSaliency (InputArray image, OutputArray saliencyMap)
| Compute the saliency. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Protected Member Functions
virtual bool | computeSaliencyImpl (InputArray image, OutputArray saliencyMap)=0
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Protected Attributes
String | className

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Constructor & Destructor Documentation

## § ~Saliency()

virtual cv::saliency::Saliency::~Saliency | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## § computeSaliency()

bool cv::saliency::Saliency::computeSaliency | ( | InputArray | image,
|  | OutputArray | saliencyMap
| ) |  |

Python:
| retval, saliencyMap | = | cv.saliency_Saliency.computeSaliency( | image[, saliencyMap] | )

Compute the saliency.

Parameters

  image | The image.
  saliencyMap | The computed saliency map.

Returns
  true if the saliency map is computed, false otherwise

## § computeSaliencyImpl()

virtual bool cv::saliency::Saliency::computeSaliencyImpl | ( | InputArray | image,
|  | OutputArray | saliencyMap
| ) |  |
| protected pure virtual

Implemented in cv::saliency::ObjectnessBING, cv::saliency::MotionSaliencyBinWangApr2014, cv::saliency::StaticSaliencyFineGrained, cv::saliency::Objectness, cv::saliency::MotionSaliency, cv::saliency::StaticSaliencySpectralResidual, and cv::saliency::StaticSaliency.

## Member Data Documentation

## § className

String cv::saliency::Saliency::className
| protected

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/saliency/include/opencv2/saliency/saliencyBaseClasses.hpp